%global __provides_exclude_from ^(%{_libdir}/%{name}|%{python3_sitearch})/.*$

Summary:       A user and group account administration library
Name:          libuser
Version:       0.64
Release:       1%{?dist}
License:       LGPLv2+
URL:           https://pagure.io/libuser
Source0:       https://releases.pagure.org/libuser/libuser-%{version}.tar.gz
Patch5000:     drop_docs_from_Makefile.patch
Patch5001:     drop_docs_from_configure.patch
Patch5002:     add-sm3-support.patch

BuildRequires: make bison libtool
BuildRequires: glib2-devel pam-devel popt-devel cyrus-sasl-devel audit-libs-devel
BuildRequires: libselinux-devel openldap-devel python3-devel gettext-devel
# for ldap test 
BuildRequires: openssl openldap-clients openldap-servers


%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package devel
Summary:      Files for developing applications with libuser
Requires:     %{name} = %{version}-%{release}
Requires:     glib2-devel

%description devel
Header files, static libraries, and other files for developing applications with libuser.

%package -n python3-libuser
Summary:      Python 3 bindings for the libuser library
Requires:     libuser = %{version}-%{release}
Provides:     libuser-python3 = %{version}-%{release}
Provides:     python3-libuser = %{version}-%{release}

%description -n python3-libuser
Python bindings for the libuser library, provides a Python3 API for manipulating and
administering user and group accounts.

%prep
%autosetup -p1

%build
# do ./autogen.sh, but we don't want to build gtk-doc
mkdir -p admin m4
rm -rf docs
libtoolize --force
autopoint -f
aclocal -Wall -I m4
autoconf -Wall
autoheader -Wall
automake -Wall --add-missing
%configure --with-selinux --with-ldap --with-audit PYTHON=%{_bindir}/python3
make

%install
%make_install
find %{buildroot} -type f -name '*.la' -print -delete

%find_lang %{name}

%check
%make_build check || { cat test-suite.log; false; }


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README TODO ChangeLog
%config(noreplace) %{_sysconfdir}/libuser.conf

%attr(0755,root,root) %{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%attr(0755,root,root) %{_sbindir}/*
%{_mandir}/man1/*


%files -n python3-libuser
%doc python/modules.txt
%{python3_sitearch}/*.so

%files devel
%{_includedir}/libuser
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Mon Jul 31 2023 Miaojun Dong <zoedong@tencent.com> - 0.64-1
- Bump version to 0.64

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.63-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.63-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 27 2023 Miaojun Dong <zoedong@tencent.com> - 0.63-2
- Add sm3 support

* Wed May 25 2022 rockerzhu <rockerzhu@tencent.com> - 0.63-1
- Initial build
